# transfer\_deleted

Occurs when a stale transfer is deleted from Connect. This can happen when the application loses connection mid-transfer and can't report its status to Connect.

### Example event

```json
{
  "version": 1,
  "event": "transfer_deleted",
  "transfer": {
    "id": "y7opjyv9jl4w",
    "external_id": "de1efd56-7d53-4211-b798-21f5eb2db2be",
    "client_id": "e85j1l6r13nq",
    "uploaded_size": 15000000000,
    "total_size": 15000000000,
    "progress": 1,
    "time_remaining": 0,
    "state": "stale",
    "source": {
      "id": "35qwe2eqwzdo",
      "external_id": "22f844e2-657c-3efe-8105-ce035d196288",
      "client_id": "e85j1l6r13nq",
      "name": "A001",
      "kind": "SD",
      "type": "source"
    },
    "created_at": "2025-08-25T15:28:36.000000Z",
    "updated_at": "2025-08-25T15:30:36.000000Z"
  }
}
```

### Event data

<table><thead><tr><th width="150.41796875">Field</th><th width="140.17578125">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>version</code></td><td><code>int</code></td><td>The version number of the event (for future changes)</td></tr><tr><td><code>event</code></td><td><code>enum</code></td><td>The type of event, in this case: <code>transfer_deleted</code></td></tr><tr><td><code>transfer</code></td><td><code>object</code></td><td>See <a href="#transfer-group-data">Transfer Group data</a></td></tr></tbody></table>

### Transfer Group data

The transfer group wraps the transfers that are coming from the same source. This object looks similar to the transfer data below, but summarizes the stats from all transfers from the same source.

<table><thead><tr><th width="150.11328125">Field</th><th width="139.30078125">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>string</code></td><td>The unique identifier for the given transfer</td></tr><tr><td><code>external_id</code></td><td><code>string</code></td><td>The unique identifier given by the application</td></tr><tr><td><code>client_id</code></td><td><code>string</code></td><td>The unique identifier for the Connect client</td></tr><tr><td><code>uploaded_size</code></td><td><code>int</code></td><td>The total summary of the size in bytes transferred by all the transfers within this group</td></tr><tr><td><code>total_size</code></td><td><code>int</code></td><td>The total summary of the total size in bytes by all the transfers within this group</td></tr><tr><td><code>progress</code></td><td><code>float</code></td><td>The total summary of the progress percentage by all the transfers within this group</td></tr><tr><td><code>time_remaining</code></td><td><code>int</code></td><td>The time remaining of the highest time remaining by al the transfers within this group</td></tr><tr><td><code>state</code></td><td><code>enum</code></td><td>Possible values of: <code>unknown</code>, <code>queued</code>, <code>preparing</code>, <code>waiting_for_codex</code>, <code>transferring</code>, <code>canceling</code>, <code>canceled</code>, <code>finishing</code>, <code>completed</code>, <code>completed_with_warnings</code>, <code>stopped</code>, <code>failed</code>, <code>stale</code></td></tr><tr><td><code>transfers</code></td><td><code>Transfer[]</code></td><td>An array of <a href="#transfer-data">Transfer data</a></td></tr><tr><td><code>created_at</code></td><td><code>string</code></td><td>The creation timestamp of the given transfer group in ISO8601 format</td></tr><tr><td><code>updated_at</code></td><td><code>string</code></td><td>The updated timestamp of the given transfer group in ISO8601 format</td></tr></tbody></table>

### Transfer data

The individual transfers from one source to one destination.

<table><thead><tr><th width="150.33984375">Field</th><th width="139.77734375">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>string</code></td><td>The unique identifier for the given transfer</td></tr><tr><td><code>external_id</code></td><td><code>string</code></td><td>The unique identifier given by the application</td></tr><tr><td><code>client_id</code></td><td><code>string</code></td><td>The unique identifier for the Connect client</td></tr><tr><td><code>parent_id</code></td><td><code>string|null</code></td><td>The unique identifier for the <a href="#transfer-group-data">Transfer Group</a> this transfer belongs to</td></tr><tr><td><code>uploaded_size</code></td><td><code>int</code></td><td>The total size in bytes that has been transferred</td></tr><tr><td><code>total_size</code></td><td><code>int</code></td><td>The total size in bytes for the given transfer</td></tr><tr><td><code>upload_speed</code></td><td><code>int</code></td><td>The upload speed in bytes per second</td></tr><tr><td><code>progress</code></td><td><code>float</code></td><td>The percentage of progress for the given transfer</td></tr><tr><td><code>time_remaining</code></td><td><code>int</code></td><td>The estimated amount of seconds remaining from now until the transfer has been completed</td></tr><tr><td><code>state</code></td><td><code>enum</code></td><td>Possible values of: <code>unknown</code>, <code>queued</code>, <code>preparing</code>, <code>waiting_for_codex</code>, <code>transferring</code>, <code>canceling</code>, <code>canceled</code>, <code>finishing</code>, <code>completed</code>, <code>completed_with_warnings</code>, <code>stopped</code>, <code>failed</code>, <code>stale</code></td></tr><tr><td><code>source</code></td><td><code>object</code></td><td>Optional. See <a href="#source-destination">Source &#x26; Destination</a></td></tr><tr><td><code>destination</code></td><td><code>object</code></td><td>Optional. See <a href="#source-destination">Source &#x26; Destination</a></td></tr><tr><td><code>created_at</code></td><td><code>string</code></td><td>The creation timestamp of the given transfer in ISO8601 format</td></tr><tr><td><code>updated_at</code></td><td><code>string</code></td><td>The last updated at timestamp of the given transfer in ISO8601 format</td></tr></tbody></table>

### Source & Destination

<table><thead><tr><th width="150.05859375">Field</th><th width="140.2890625">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>string</code></td><td>The unique identifier of the source or destination</td></tr><tr><td><code>external_id</code></td><td><code>string</code></td><td>The unique identifier given by the application</td></tr><tr><td><code>client_id</code></td><td><code>string</code></td><td>The unique identifier for the Connect client</td></tr><tr><td><code>name</code></td><td><code>string</code></td><td>The display name of the source or destination</td></tr><tr><td><code>kind</code></td><td><code>string</code></td><td>The kind of source or destination</td></tr><tr><td><code>type</code></td><td><code>enum</code></td><td>Possible values of: <code>source</code>, <code>destination</code>  </td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hedge.video/connect/webhooks/transfer_deleted.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
